# Advanced Attack Techniques

<div class="grid-3">
  <div class="card">
    <h2>Prompt Obfuscation</h2>
    <p>Using techniques like Base64 encoding, character transformations (e.g., ROT13), or prompt-level obfuscations to <span class="highlight-word">bypass restrictions</span>.</p>
  </div>
  
  <div class="card">
    <h2>Model-based Jailbreaking</h2>
    <p>Automating the creation of adversarial attacks by evolving simple synthetic inputs into more <span class="highlight-word">complex attacks</span>.</p>
  </div>
  
  <div class="card">
    <h2>Dialogue-based Jailbreaking</h2>
    <p>Employing <span class="highlight-word">reinforcement learning</span> with two models: the target LLM and a red-teamer model trained to exploit vulnerabilities.</p>
  </div>
  
  <div class="card">
    <h2>Primary Areas of Concern</h2>
    <ul>
      <li><span class="highlight-word">Organizational reputation</span> damage</li>
      <li><span class="highlight-word">Legal compliance</span> violations</li>
      <li><span class="highlight-word">Data security</span> breaches</li>
    </ul>
  </div>
</div>

<style>
.attack-techniques-layout {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto auto;
  gap: 1rem;
}

.primary-card {
  grid-row: 1;
  background: linear-gradient(135deg, rgba(30, 41, 59, 0.7), rgba(30, 41, 59, 0.9));
  border-left: 4px solid var(--accent-color);
}

.secondary-cards {
  grid-row: 2;
  display: flex;
  gap: 1rem;
}

.secondary-cards .card {
  flex: 1;
}

.concerns-card {
  grid-row: 3;
  border-top: 2px solid var(--primary-color);
  background: linear-gradient(135deg, rgba(30, 41, 59, 0.6), rgba(30, 41, 59, 0.8));
}

.highlight-word {
  color: var(--highlight);
  font-weight: 600;
  transition: all 0.3s ease;
}

.card:hover .highlight-word {
  text-shadow: 0 0 8px rgba(14, 165, 233, 0.6);
}
</style>
