# LLM Risks & Vulnerabilities

<div class="risks-table-container container-slide-up">
  <table class="llm-risks-table stagger-container">
    <thead>
      <tr>
        <th>LLM Risk</th>
        <th>Vulnerabilities</th>
        <th>Description</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td><span class="highlight-word">Responsible AI</span> Risks</td>
        <td>Bias, <span class="highlight-word">Toxicity</span></td>
        <td>Ensuring ethical model behavior by preventing <span class="highlight-word">discriminatory outputs</span> and offensive content generation that could harm users or specific demographic groups</td>
      </tr>
      <tr>
        <td><span class="highlight-word">Illegal Activities</span> Risks</td>
        <td>IllegalActivity, <span class="highlight-word">GraphicContent</span></td>
        <td>Preventing content that violates laws, promotes <span class="highlight-word">criminal behavior</span>, or generates instructions for harmful activities that could endanger public safety</td>
      </tr>
      <tr>
        <td><span class="highlight-word">Brand Image</span> Risks</td>
        <td>ExcessiveAgency, <span class="highlight-word">Robustness</span></td>
        <td>Protecting organizational reputation by avoiding <span class="highlight-word">misinformation</span>, misattribution, and content that contradicts company values</td>
      </tr>
      <tr>
        <td><span class="highlight-word">Data Privacy</span> Risks</td>
        <td>PIILeakage, <span class="highlight-word">PromptLeakage</span></td>
        <td>Safeguarding <span class="highlight-word">sensitive information</span> by preventing the exposure of personal identifiable information and confidential data</td>
      </tr>
      <tr>
        <td><span class="highlight-word">Unauthorized Access</span> Risks</td>
        <td>UnauthorizedAccess</td>
        <td>Securing systems by preventing exploitation of LLMs to gain <span class="highlight-word">unauthorized system access</span> or execute malicious commands</td>
      </tr>
    </tbody>
  </table>
</div>

<style>
.risks-table-container {
  height: auto;
  max-height: 500px;
  overflow: visible;
}
.llm-risks-table td {
  padding: 0.7rem 1rem;
  line-height: 1.4;
}
.highlight-word {
  background: linear-gradient(90deg, var(--highlight), var(--primary-color));
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  background-size: 200% auto;
  animation: gentle-shimmer 4s linear infinite;
  font-weight: 600;
}

@keyframes gentle-shimmer {
  0% { background-position: 0% 50%; }
  100% { background-position: 200% 50%; }
}
</style>
